Last updated: aug 06, 2024
Add tags to the current incident to categorize and describe it better.
|
Implementation |
System |
|
Command Category |
System Utility |
|
Tags |
incident |
Inputs
|
Parameter Name |
Required/Optional |
Description |
Sample Data |
|---|---|---|---|
|
Incident Number |
Required |
The incident number to add incident tags. |
20230714-3 |
|
Mode |
Required |
The mode of add incident tags. |
Append |
|
Tags |
Required |
The incident tags will be added as an array. Examples: a, b, c or ["a", "b", "c"]. |
|
Output
Remote Command API
The D3 command API allows you to send requests to D3 SOAR to execute this utility command via REST API.
Request
POST
https://{base_url}/{api_namespace}/api/Command/AddIncidentTags
Headers
Please refer to the page Webhook Configuration Guide - Authentication Method: API Keys for more details.
Request Body
{
"Username": "<Username here>",
"Site": "<Site here>",
"CommandParams": {
"Incident Number": "<Incident Number here>",
"Mode": "<Mode here>",
"Tags": "<Tags here>"
}
}
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your D3 SOAR account. |
|
Site |
|
Required |
The D3 SOAR site to run the remote command. |
|
Incident Number |
|
Required |
The incident number to add incident tags. |
|
Mode |
|
Optional |
The mode of add incident tags. |
|
Tags |
|
Optional |
The incident tags will be added as an array. Examples: a, b, c or ["a", "b", "c"]. |
Sample Request
Sample Data
{
"Username": "Admin",
"Site": "Security Operations",
"CommandParams": {
"Incident Number": "20230714-3",
"Mode": "Append",
"Tags": [
"test4",
"test5"
]
}
}
Response
Response Fields
|
Field Name |
Type |
Description |
|---|---|---|
|
error |
|
The error message if the API request has failed. |
|
returnData |
|
The return data from the API request. |
Sample Response
{
"error": "",
"returnData": "{
"Status": "Successful",
"Data": {
"incidentNumber": "20230714-3",
"Tags": [
"test4",
"test5",
"test6",
"test7"
],
"modifiedDate": "7/14/2023 5:03:05 PM",
"result": "Successful",
"modifiedBy": "Jackie Gao"
}
}"
}